Skip to content

Managed VMware vSphere

All operations require authentication.

8 operationsv1/vrack/{serviceName}
View as Markdown (opens in a new tab)
Agent setup

List attached Managed VMware vSphere servicesProduction

GET
/v1/vrack/{serviceName}/dedicatedCloud

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/dedicatedCloud \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an attached Managed VMware vSphere serviceProduction

GET
/v1/vrack/{serviceName}/dedicatedCloud/{dedicatedCloud}

Path parameters

dedicatedCloud
required
string

your dedicated cloud service

serviceName
required
string

The internal name of your vrack

Response

200dedicatedCloudsuccessful operation
dedicatedCloud
read-only
string

your dedicated cloud service

vlanId
read-only
integer

Dedicated cloud vlanId used

vrack
read-only
string

vrack name

Example uses dedicatedCloud = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/dedicatedCloud/{dedicatedCloud} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dedicatedCloud": "string", "vlanId": 0, "vrack": "string"}

Attach a Managed VMware vSphere serviceProduction

POST
/v1/vrack/{serviceName}/dedicatedCloud

Attach a Managed VMware vSphere service. Attaches a Hosted Private Cloud service to the vRack. Returns the task that performs it.

Path parameters

serviceName
required
string

The internal name of your vrack

Request body (required)

dedicatedCloud
required
string
—

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/dedicatedCloud \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

Detach a Managed VMware vSphere serviceProduction

DELETE
/v1/vrack/{serviceName}/dedicatedCloud/{dedicatedCloud}

Detach a Managed VMware vSphere service. Detaches the Hosted Private Cloud service from the vRack. Returns the task that performs it.

Path parameters

dedicatedCloud
required
string

your dedicated cloud service

serviceName
required
string

The internal name of your vrack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses dedicatedCloud = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/dedicatedCloud/{dedicatedCloud} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

List attached Managed VMware vSphere datacentersProduction

GET
/v1/vrack/{serviceName}/dedicatedCloudDatacenter

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/dedicatedCloudDatacenter \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an attached Managed VMware vSphere datacenterProduction

GET
/v1/vrack/{serviceName}/dedicatedCloudDatacenter/{datacenter}

Path parameters

datacenter
required
string

Your dedicatedCloud datacenter name

serviceName
required
string

The internal name of your vrack

Response

200pccDatacentersuccessful operation
datacenter
read-only
string

Your dedicatedCloud datacenter name

dedicatedCloud
read-only
string

Your dedicatedCloud name

vrack
read-only
string

vrack name

Example uses datacenter = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/dedicatedCloudDatacenter/{datacenter} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "datacenter": "string", "dedicatedCloud": "string", "vrack": "string"}

List vRacks a datacenter can move toProduction

GET
/v1/vrack/{serviceName}/dedicatedCloudDatacenter/{datacenter}/allowedVrack

Path parameters

datacenter
required
string

Your dedicatedCloud datacenter name

serviceName
required
string

The internal name of your vrack

Response

200string[]successful operation

Example uses datacenter = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/dedicatedCloudDatacenter/{datacenter}/allowedVrack \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Move a Managed VMware vSphere datacenterProduction

POST
/v1/vrack/{serviceName}/dedicatedCloudDatacenter/{datacenter}/move

Move a Managed VMware vSphere datacenter. Moves the Private Cloud datacenter to another vRack. Returns the task that performs it.

Path parameters

datacenter
required
string

Your dedicatedCloud datacenter name

serviceName
required
string

The internal name of your vrack

Request body (required)

targetServiceName
required
string

The internal name of your target vrack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses datacenter = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/vrack/{serviceName}/dedicatedCloudDatacenter/{datacenter}/move \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}